import "font-awesome/css/font-awesome.min.css";
import Table from "./table/index.js";
import TableColumn from "./table-column/index.js";
import "./element-ui.js";
import "./themes/packages/index.scss";

const components = [
  Table,
  TableColumn
];
const install = function (Vue) {
  if (install.installed) {return;}
  components.map((component) => {
    Vue.component(component.name, component);
  });
};

if (typeof window !== "undefined" && window.Vue) {
  install(window.Vue);
}

export default {
  version: "1.0.0",
  install,
  Table,
  TableColumn
};
